Subject: Re: bug#73415: 30.0.91; Emacs 30 build fails on Ubuntu 24.04

From: Mark Grosen <[email-masked]>
Date: Tue, 24 Sep 2024 15:53:23 -0700

> Thanks, but 400KB of pure space is too much to just increase the size
> without understanding why this is needed.  Did you really need 400KB,
> or would a smaller number do?  If the latter, what is the smallest
> addition that avoids the overflow in your case?

290000 is the smallest that works, with or without --with-pgtk

>  . what was the absolute file name of the top-level directory where
>    you unpacked the pretest tarball (assuming that this happens with
>    building the pretest, not a Git checkout)?

This is built from git checkout of emacs-30 or emacs-30.0.91 in
/home/mark/Stuff/emacs

I did some more experiments and found that my original build commands
fail but the first suggested one
in INSTALL.repo works.

> . what were the commands you used to build?

Fails:
git clean -fdx
make bootstrap -j12
./configure --with-webp
make -j12

Works:
git clean -fdx
make -j12 configure="--with-webp"

However, the first way does work if there are no 'configure' options.
Any option to configure causes a failure.

> . does the problem go away if you build a "normal" Emacs, i.e. not a
    PGTK build?

no, only if there are no options

Thanks for your help.
Mark

Mark

On Sat, Sep 21, 2024 at 10:12 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Mark Grosen <[email-masked]>
> > Date: Sat, 21 Sep 2024 14:52:45 -0700
> >
> > Building Emacs 30.0.91 and later on Ubuntu 24.04 fails with a
> > "Pure Lisp overflowed" error. To workaround this issue, I used
> > the following build steps:
> >
> > make bootstrap MYCPPFLAGS='-DSYSTEM_PURESIZE_EXTRA=200000'
> > ./configure
> > make MYCPPFLAGS='-DSYSTEM_PURESIZE_EXTRA=400000'
> >
> > Note that the 'bootstrap' build required a smaller extra size
> > on my system.
> >
> > With these changes, the build succeeded and Emacs appears to
> > function normally. This was required on the current emacs-30
> > branch.
>
> Thanks, but 400KB of pure space is too much to just increase the size
> without understanding why this is needed.  Did you really need 400KB,
> or would a smaller number do?  If the latter, what is the smallest
> addition that avoids the overflow in your case?
>
> Also, please answer the following questions:
>
>   . what was the absolute file name of the top-level directory where
>     you unpacked the pretest tarball (assuming that this happens with
>     building the pretest, not a Git checkout)?
>   . what were the commands you used to build?
>   . does the problem go away if you build a "normal" Emacs, i.e. not a
>     PGTK build?